export const fetchAsBlob = (source) =>
  new Promise((resolve, reject) =>
    fetch(source.uri, { headers: source.headers })
      .then(res => {
        if (res.ok)
          resolve(res.blob());
        else
          reject();
      }));

export const convertBlobToBase64 = (blob) => new Promise((resolve, reject) => {
  var reader = new FileReader;
  reader.onerror = reject;
  reader.onload = () => {
    resolve(reader.result);
  };
  reader.readAsDataURL(blob);
});

export const resolveAssetDimensions = (source) => {
  if (typeof source === 'object') {
    const { height, width } = source;
    return { height, width };
  }
};
